LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XDispatchRecorderSupplier Interface Referencepublished

provides access to the record mechanism of dispatches More...

`import"XDispatchRecorderSupplier.idl";`

Inheritance diagram for XDispatchRecorderSupplier:

## Public Member Functions
void | setDispatchRecorder ([in] com::sun::star::frame::XDispatchRecorder Recorder)
| set a dispatch recorder on this supplier More...
com::sun::star::frame::XDispatchRecorder | getDispatchRecorder ()
| provides access on the recorder of this supplier More...
void | dispatchAndRecord ([in] com::sun::star::util::URL URL, [in] sequence< com::sun::star::beans::PropertyValue > Arguments, [in] XDispatch Dispatcher)
| dispatch given URL and record it if recording is enabled More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to the record mechanism of dispatches

With a XDispatchRecorder it's possible to record calls of XDispatch::dispatch(). The recorded data (may a script) can be used to automate recorded dispatch and start it at later time again. This supplier provides access to the recorder and supports some functionality to work with the macro recording mechanism in an easy manner.

See also
  XDispatchRecorder

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ dispatchAndRecord()

void dispatchAndRecord | ( | [in] com::sun::star::util::URL | URL,
|  | [in] sequence< com::sun::star::beans::PropertyValue > | Arguments,
|  | [in] XDispatch | Dispatcher
| ) |  |

dispatch given URL and record it if recording is enabled

Parameter Dispatcher is used internally to make the dispatch. If recording isn't enabled it will be a normal XDispatch::dispatch() call. Otherwise follow algorithm is used:

- If Dispatcher doesn't support the interface XRecordableDispatch a normal dispatch() call will be made and depend from the result state of that the request will be recorded. In this case it's possible to record the incoming parameter (URL and Arguments) only. Parameters of internal processes can't be recorded then and will be lost.
- If Dispatcher support the interface XRecordableDispatch it will be used to dispatch and record all necessary parameters of the whole process.

See also
  XRecordableDispatch

## ◆ getDispatchRecorder()

com::sun::star::frame::XDispatchRecorder getDispatchRecorder | ( |  | ) |

provides access on the recorder of this supplier

Returned recorder can be used to record dispatches manually or to get recorded data for further using e.g. saving. He is internally used too due to the method XDispatchRecorderSupplier::dispatchAndRecord().

Returns
  the dispatch recorder of this supplier

See also
  XDispatchRecorder

## ◆ setDispatchRecorder()

void setDispatchRecorder | ( | [in] com::sun::star::frame::XDispatchRecorder | Recorder | ) |

set a dispatch recorder on this supplier

Setting of a new recorder make it possible to change recording mode. May there can exist different implementations of a recorder (e.g. to generate Java, Basic or other formats). Changing between local recording inside one Frame or global one by using more than ones can be forced too.

Parameters

  Recorder | the new recorder for this supplier

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XDispatchRecorderSupplier.idl